Questão PyDev não encontrado no Eclipse O Kepler Eclipse diz que está corretamente instalado


Eu suponho que é um problema semelhante essa questão, mas me pediram para fazer uma pergunta separada, porque o meu problema é relacionado ao Python-3.

Situação: Ubuntu 12,04 64bit, Python 3.2.3, instalando Eclipse (Kepler) e PyDev.

Problema: Não é possível configurar o PyDev, não é possível criar o projeto Python. O mesmo procedimento no Windows 7 funciona bem.

Eu segui as orientações em http://pydev.org/manual_101_install.html, mas nem "Instalar Novo Software" nem através do "Eclipse Marketplace" funcionou, ou seja, não vejo nenhuma entrada Python ou PyDev em Window / Preferences. Bem, parece ser instalado, porque o Eclipse diz "já instalado", se eu tentar instalá-lo novamente.

Na linha de comando, o python está funcionando:

$ python
Python 3.2.3 (default, Sep 25 2013, 18:22:43) 
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>>

Tentei ligar python para python2.7 dentro /usr/bin mas sem esforço.

Alguém tem uma ideia ainda?

EDITAR:  java -version diz "1.6.0_27"

Eclipse Marketplace with PyDev installed


4
2017-11-16 18:47


origem


Eu tenho exatamente o mesmo problema no Mac OS X 10.8.5 e Python 2.7.6, então eu acho que é um problema relacionado ao eclipse / pydev mais do que o Ubuntu.
O Ubuntu e o MacOS baseiam-se no Debian, então pode haver uma conexão de fato. Um amigo recomendou dar uma olhada na versão do Java. É 1.6.0_27 aqui. Isso poderia ser parte do problema? - Christoph Jüngling
você tem algum download quebrado? - Sukupa91


Respostas:


Eu tenho o mesmo problema e configurações como o seu. Depois de mudar para o Java v1.7 usando

sudo update-alternatives --config java

Primeiro você pode não ver a perspectiva do PyDev, mas apenas importar / criar um projeto Python e ele funciona.


3
2017-11-29 09:26





Você pode instalar o java7 para obter o PyDev v3 para trabalhar e manter sua versão de instalação Java atual e não afetar sua configuração atual, especificando qual JVM Eclipse deve usar usando a opção de linha de comando -vm.

Tudo é explicado aqui


1
2017-11-29 19:08



Veja também aqui: stackoverflow.com/q/19838294/911550 - parvus